Use this endpoint to download a .tar.gz archive that contains
every log file that Ops Manager collected for the specified job. You
cannot download from a job whose status is IN_PROGRESS or
EXPIRED. If a job partially failed, the archive includes only
the log files that Ops Manager collected successfully.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
Resource
GET /admin/omLogCollectionJobs/{JOB-ID}:download
Required Roles
Requires that the API Key calling this endpoint have the
Global Read Only role.
Request Parameters
Request Path Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
| string | Required | Unique 24-hexadecimal digit string that identifies the Ops Manager server log collection job. To find a job ID, call Get All Ops Manager Server Log Collection Jobs. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default | ||||||
|---|---|---|---|---|---|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body should be in a prettyprint format. |
| ||||||
envelope | boolean | Optional | Flag that indicates whether or not to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
This endpoint returns a binary stream with
Content-Type: application/gzip and the file name format
om-logs_{timestamp}.tar.gz. The archive uses the following
layout:
om-server-1.example.com/ application/ mms0.log mms0.20260412.log http_access/ mms0-access.log migration/ mms-migration.log om-server-2.example.com/ application/ mms0.log http_access/ mms0-access.log mms0-access.20260412.log
Important
When you call this endpoint with curl, you must pass
--output and a file name. Otherwise, curl writes the
binary archive to your terminal.
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/gzip" \ --output om-logs.tar.gz \ --request GET \ "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/omLogCollectionJobs/{JOB-ID}:download"
Example Response
Response Header
401 Unauthorized Content-Type: application/json;charset=ISO-8859-1 Date: {dateInUnixFormat} WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false Content-Length: {requestLengthInBytes} Connection: keep-alive
200 OK Vary: Accept-Encoding Content-Type: application/gzip Content-Disposition: attachment; filename="om-logs_{timestamp}.tar.gz" Strict-Transport-Security: max-age=300 Date: {dateInUnixFormat} Connection: keep-alive Content-Length: {requestLengthInBytes} X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
Response Body
This endpoint does not return a JSON response body.